Download it now!
Bug 64337 - VIEWING: UX: Ctrl+F in LibreOffice Start Center opens an empty toolbar
Summary: VIEWING: UX: Ctrl+F in LibreOffice Start Center opens an empty toolbar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.3.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2013-05-07 21:43 UTC by msjasinski
Modified: 2016-02-18 16:37 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description msjasinski 2013-05-07 21:43:48 UTC
Problem description: 
In LibreOffice Start Center, when I click Ctrl+F, an empty toolbar opens. It is pointless and therefore should be disabled. It is not a 'bug' though, just a UX irk.

Thanks
Michal
Operating System: All
Version: unspecified
Comment 1 Adolfo Jayme 2013-05-08 12:14:53 UTC
I'd say it's a bug. Confirmed in LibreOffice 4.0.3 under Ubuntu 13.04.
Comment 2 retired 2013-11-18 22:58:30 UTC
Still happening in 4.1.3.2.

Also Version: 4.2.0.0.alpha1+
Build ID: 9c45345a680f7444df251f9403c7d56572380f21
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2013-11-18_12:43:03

Definitely not nice. Adding ProposedEasyHack.
Comment 3 Rachit Gupta 2014-01-28 05:22:00 UTC
i wish to work on this bug. Can someone help me with where to start?
Comment 4 Jorendc 2014-01-28 11:25:24 UTC
Thanks to Kendy for the code pointers:

The magic of the StartCenter happens in core/sfx2/source/dialog/backingwindow.cxx and core/sfx2/source/dialog/backingcomp.cxx

BackingWindow::Notify( NotifyEvent& rNEvt ) is the function that handles the key input.

The findbar (which isn't populated though) opens when pressing ctrl+f, so we might want to check in the Notify function the command is not the one corresponding to call the findbar (vnd.sun.star.findbar:FocusToFindbar). To determine what command is called with a key-input (it can be customized, so the call of that findbar might be linked with ctrl+i or so :) ) you can use AcceleratorExecute::findCommand() in acceleratorexecute.cxx.

I hope that helped.

Kind regards,
Joren
Comment 5 Jorendc 2014-01-28 16:27:49 UTC
Like other EasyHacks: adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility. see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 6 Commit Notification 2014-02-01 11:22:50 UTC
Robert Roth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e5b654a056d407cf8db975ee8042a0328627d4d8

fdo#64337 Do not show empty findbar in startcenter.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 retired 2014-02-02 09:48:46 UTC
Verified in Version: 4.3.0.0.alpha0+
Build ID: 4bb7e9a1b0dd2f72609affde0170c0a2d4fff44b
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-02-02_00:54:31
Comment 8 V Stuart Foote 2014-02-02 17:39:52 UTC
Verified on Windows 7 sp1, 64-bit

Version: 4.3.0.0.alpha0+
Build ID: 4bb7e9a1b0dd2f72609affde0170c0a2d4fff44b
TinderBox: Win-x86@42, Branch:master, Time: 2014-02-02_01:08:10

Suppressed on the Start Center, functions correctly on other components where the Findbar makes sense.
Comment 9 msjasinski 2014-02-02 17:56:55 UTC
Verified on Win XP SP3.

Thank you for taking care of the bug (this is submitter speaking) :-)
Comment 10 Robinson Tryon (qubit) 2015-12-15 12:10:27 UTC Comment hidden (obsolete)
Comment 11 Björn Michaelsen 2016-02-05 11:10:45 UTC
difficultyEasy -> difficultyBeginner. The former never really existed and only makes the EasyHack not appear on the wiki.
Comment 12 Robinson Tryon (qubit) 2016-02-18 16:37:10 UTC Comment hidden (obsolete)